## deadbeef-vu-meter-dmo 0.0~20170922

=== Makefile ===
#    Musical Spectrum plugin for the DeaDBeeF audio player
#
#    Copyright (C) 2014 Christian Boxdörfer <christian.boxdoerfer@posteo.de>
#
#    Based on DeaDBeeFs stock spectrum.
#    Copyright (c) 2009-2014 Alexey Yakovenko <waker@users.sourceforge.net>
#    Copyright (c) 2011 William Pitcock <nenolod@dereferenced.org>
#
#    This program is free software; you can redistribute it and/or
#    modify it under the terms of the GNU General Public License
#    as published by the Free Software Foundation; either version 2
#    of the License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

OUT_GTK2?=ddb_vis_vu_meter_GTK2.so
OUT_GTK3?=ddb_vis_vu_meter_GTK3.so

GTK2_CFLAGS?=`pkg-config --cflags gtk+-2.0`
GTK3_CFLAGS?=`pkg-config --cflags gtk+-3.0`

GTK2_LIBS?=`pkg-config --libs gtk+-2.0`
GTK3_LIBS?=`pkg-config --libs gtk+-3.0`

CC?=gcc
CFLAGS+=-Wall -g -fPIC -std=c99 -D_GNU_SOURCE
LDFLAGS+=-shared

GTK2_DIR?=gtk2
GTK3_DIR?=gtk3

SOURCES?=$(wildcard *.c)
OBJ_GTK2?=$(patsubst %.c, $(GTK2_DIR)/%.o, $(SOURCES))
OBJ_GTK3?=$(patsubst %.c, $(GTK3_DIR)/%.o, $(SOURCES))

define compile
	$(CC) $(CFLAGS) $1 $2 $< -c -o $@
endef

define link
	$(CC) $(LDFLAGS) $1 $2 $3 -o $@
endef

# Builds both GTK+2 and GTK+3 versions of the plugin.
all: gtk2 gtk3

# Builds GTK+2 version of the plugin.
gtk2: mkdir_gtk2 $(SOURCES) $(GTK2_DIR)/$(OUT_GTK2)

# Builds GTK+3 version of the plugin.
gtk3: mkdir_gtk3 $(SOURCES) $(GTK3_DIR)/$(OUT_GTK3)

mkdir_gtk2:
	@echo "Creating build directory for GTK+2 version"
	@mkdir -p $(GTK2_DIR)

mkdir_gtk3:
	@echo "Creating build directory for GTK+3 version"
	@mkdir -p $(GTK3_DIR)

$(GTK2_DIR)/$(OUT_GTK2): $(OBJ_GTK2)
	@echo "Linking GTK+2 version"
	@$(call link, $(OBJ_GTK2), $(GTK2_LIBS))
	@echo "Done!"

$(GTK3_DIR)/$(OUT_GTK3): $(OBJ_GTK3)
	@echo "Linking GTK+3 version"
	@$(call link, $(OBJ_GTK3), $(GTK3_LIBS))
	@echo "Done!"

$(GTK2_DIR)/%.o: %.c
	@echo "Compiling $(subst $(GTK2_DIR)/,,$@)"
	@$(call compile, $(GTK2_CFLAGS))

$(GTK3_DIR)/%.o: %.c
	@echo "Compiling $(subst $(GTK3_DIR)/,,$@)"
	@$(call compile, $(GTK3_CFLAGS))

clean:
	@echo "Cleaning files from previous build..."
	@rm -r -f $(GTK2_DIR) $(GTK3_DIR)

=== debian/changelog ===
deadbeef-vu-meter-dmo (0.0~20170922-dmo3) unstable; urgency=medium

  * Add a patch to fix build with GCC 14

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Nov 2024 17:26:54 +0100

deadbeef-vu-meter-dmo (0.0~20170922-dmo2) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Mar 2024 12:14:27 +0100

deadbeef-vu-meter-dmo (0.0~20170922-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 22 Sep 2017 14:46:54 +0200

deadbeef-vu-meter-dmo (0.0~20170206-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 Feb 2017 09:37:53 +0100

=== debian/control ===
Source: deadbeef-vu-meter-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/cboxdoerfer/ddb_vu_meter
Rules-Requires-Root: no
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13), deadbeef-plugins-dev, libgtk-3-dev, quilt

Package: deadbeef-vu-meter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, deadbeef
Description: VU Meter Plugin for DeaDBeeF
 VU Meter Plugin for the DeaDBeeF

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with quilt

override_dh_auto_build:
	$(MAKE) gtk3

override_dh_install:

	dh_install gtk3/ddb_vis_vu_meter_GTK3.so	usr/lib/$(DEB_HOST_MULTIARCH)/deadbeef
	dh_install vumeter.png	usr/share/deadbeef

=== debian/watch ===
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

# HTTP site (basic)
#https://example.com/downloads.html \
#  files/deadbeef-vu-meter-([\d\.]+)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/deadbeef-vu-meter-(.*)\.tar\.gz

# SourceForge hosted projects
# https://sf.net/deadbeef-vu-meter/ deadbeef-vu-meter-(.*)\.tar\.gz

# GitHub hosted projects
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
#   https://github.com/<user>/deadbeef-vu-meter/tags \
#   (?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
